# Error Codes

{% hint style="danger" %}
The API has been deprecated and is no longer in use.
{% endhint %}

An error code is provided apart of a known unsuccessful request, The list below is provided for troubleshooting API Errors individually. We encourage you to contact the support team if your unable to resolve your error here.

### 100xx Errors

These are **server side** errors, Meaning that the server has processed the request however reached an error whilst formatting, presenting or registering inside the database. These errors usually occur if the server is overloaded or in a idle state. We encourage you to report any of these errors directly to the support team if your unable to resolve them.

10020 - Content already exists\
10021 - Server was unable to set existing resource\
10022 - Server was unable to register new resource \
10023 - Requested resource not found (404)\
10024 - Server was unable to delete existing resource\
10025 - Content not update\
10026 - Server was unable to update existing resource

### 200xx Errors

These are **client side** error, Meaning that the client (You) have requested incorrectly or in a forbidden method. These errors usually occur if you have formed a request incorrectly or the server throws an unhandled client error.\
\
20050 - Invalid Authorization key provided (Empty or Not Registered)\
20051 - Header not provided or empty\
20052 - JSON Field invalid (Not provided, Empty or invalid type)\
20056 - Field exceeds set limit (Usually in characters or displayed limit)\
20058 - Client requested a forbidden guild (Not affiliated with authorization key)\
20060 - Resource Not found (None exist inside guild)\
40070 - Global Rate Limit Exceeded


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roleplaybot.xyz/api/errors/codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
